Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.24
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.bcpg
Class ArmoredOutputStream

    java.lang.Object
      |
      +--java.io.OutputStream
            |
            +--org.bouncycastle.bcpg.ArmoredOutputStream

public class ArmoredOutputStream
extends java.io.OutputStream

Basic output stream.

Constructor Summary
`ArmoredOutputStream(java.io.OutputStream out)`

Method Summary
`void` | `beginClearText(int hashAlgorithm)` Start a clear text signed message.
`void` | `close()`
`void` | `endClearText()`
`void` | `flush()`
`void` | `write(int b)`

Methods inherited from class java.io.OutputStream
`write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArmoredOutputStream

    public ArmoredOutputStream(java.io.OutputStream out)

Method Detail

### beginClearText

    public void beginClearText(int hashAlgorithm)
                        throws java.io.IOException

  Start a clear text signed message.

  Parameters:
    `hashAlgorithm` -
    `java.io.IOException`

### endClearText

    public void endClearText()

### write

    public void write(int b)
               throws java.io.IOException

  Specified by:
    `write` in class `java.io.OutputStream`
    `java.io.IOException`

### flush

    public void flush()
               throws java.io.IOException

  Overrides:
    `flush` in class `java.io.OutputStream`
    `java.io.IOException`

### close

    public void close()
               throws java.io.IOException

  Overrides:
    `close` in class `java.io.OutputStream`
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.24
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD